Subject: bug#41187: 28.0.50; Flipped text

From: Wasim Abbas <[email-masked]>
Date: Mon, 17 Aug 2020 15:10:57 +0100

So I spend some more time on this today. Its painful to keep scrolling forever but I think I have found a pattern that works reliably.

Open emacs with a specific header file from command line. /usr/local/Cellar/emacs-head/HEAD-86fef6a_1/Emacs.app/Contents/MacOS/Emacs /personal/roar_engine/core/rhi/rorrhi_types.hpp
M-x split-window-horizontally and start scrolling between the two windows interchangeably.

I did a binary search through my packages but it was inconclusive. It appeared with single package, but different single packages at different times. So I started commenting out my whole init.el file.

(setq user-full-name "Wasim Abbas")
(setq user-mail-address "[email-masked]")

;; load my sexp from elisp dir
(add-to-list 'load-path (expand-file-name "elisp" user-emacs-directory))
;; add custom theme folder to load themes from ~/.emacs.d/themes
(add-to-list 'custom-theme-load-path (expand-file-name "themes" user-emacs-directory))

This is the only snippet that I can reproduce it with. This doesn’t make much sense. I am not using any themes later on. The whole init.el is empty after these lines. I have reproduced it with this a few times.

Although I have still not managed to reproduce it with `-Q` option yet.

Also at one point I got the following segfault.

//Wasim

> On 10 Aug 2020, at 20:11, Alan Third <[email-masked]> wrote:
> 
> On Mon, Aug 10, 2020 at 12:40:31PM +0100, Wasim Abbas wrote:
>> I thought since drawing buffers and rendering is such a core thing
>> to emacs I wasn’t sure it will be anything else (like a package) but
>> looks like it could be? Would you now think it's something to do
>> with any package?
> 
> It's unlikely to be a package directly causing it, but it may be doing
> something which causes a bug in Emacs itself to show.
> 
>> Is the standard disable each package one by one and see if it can be
>> narrowed down to a single package the way to go forward now?
> 
> The usual way would be a binary search type strategy. Comment out half
> your config, then see if you still have the problem, if not try the
> other half. Then you half what remains, and repeat until you've found
> the cause.
> 
> The problem is that it may be a combination of things that are causing
> it, but at least it may give us a chance to get a minimal recipe to
> replicate the bug.
> -- 
> Alan Third